Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your IO-16 Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"io", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletIO16\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for interrupt callback", "*)"}],
   RowBox[{RowBox[{"InterruptCB", "[", RowBox[{"sender_", ",", "port_", ",", "interruptMask_", ",", "valueMask_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Port: \>\"", "<>", RowBox[{"FromCharacterCode", "[", "port", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Interrupt Mask: \>\"", "<>", RowBox[{"StringJoin", "[", RowBox[{"Map", "[", RowBox[{"ToString", ",", RowBox[{"IntegerDigits", "[", RowBox[{"interruptMask", ",", "2", ",", "8"}], "]"}]}], "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Value Mask: \>\"", "<>", RowBox[{"StringJoin", "[", RowBox[{"Map", "[", RowBox[{"ToString", ",", RowBox[{"IntegerDigits", "[", RowBox[{"valueMask", ",", "2", ",", "8"}], "]"}]}], "]"}], "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"io", "@", "InterruptCallback"}], ",", "InterruptCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Enable interrupt on pin 2 of port A", "*)"}],
   RowBox[{"io", "@", RowBox[{"SetPortInterrupt", "[", RowBox[{RowBox[{RowBox[{"ToCharacterCode", "[", "\"\<a\>\"", "]"}], "[", RowBox[{"[", "1", "]"}], "]"}], ",", RowBox[{"FromDigits", "[", RowBox[{RowBox[{"{", RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", "2"}], "]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "io", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
