Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your RS485 Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rs485", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRS485\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set operating mode to Modbus RTU master", "*)"}],
   RowBox[{"rs485", "@", RowBox[{"SetMode", "[", "BrickletRS485`MODEUMODBUSUMASTERURTU", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Modbus specific configuration:", "*)"}],
   RowBox[{"(*", "- slave address = 1 (unused in master mode)", "*)"}],
   RowBox[{"(*", "- master request timeout = 1000ms", "*)"}],
   RowBox[{"rs485", "@", RowBox[{"SetModbusConfiguration", "[", RowBox[{"1", ",", "1000"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"expectedRequestID", "=", "0"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for Modbus master write single register response callback", "*)"}],
   RowBox[{RowBox[{"ModbusMasterWriteSingleRegisterResponseCB", "[", RowBox[{"sender_", ",", "requestID_", ",", "exceptionCode_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Request ID: \>\"", "<>", RowBox[{"ToString", "[", "requestID", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Exception Code: \>\"", "<>", RowBox[{"ToString", "[", "exceptionCode", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"requestID", "!=", "expectedRequestID"}], ",", RowBox[{"Print", "[", "\"\<Error: Unexpected request ID\>\"", "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"rs485", "@", "ModbusMasterWriteSingleRegisterResponseCallback"}], ",", "ModbusMasterWriteSingleRegisterResponseCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Write 65535 to register 42 of slave 17", "*)"}],
   RowBox[{"expectedRequestID", "=", "rs485", "@", RowBox[{"ModbusMasterWriteSingleRegister", "[", RowBox[{"17", ",", "42", ",", "65535"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rs485", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
