Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your UV Light Bricklet 2.0", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"uvl", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletUVLightV2\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current UV-A", "*)"}],
   RowBox[{"Print", "[", RowBox[{"\"\<UV-A: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{RowBox[{"uvl", "@", RowBox[{"GetUVA", "[", "]"}]}], ",", "\"\<mW/m\.b2/10\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current UV-B", "*)"}],
   RowBox[{"Print", "[", RowBox[{"\"\<UV-B: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{RowBox[{"uvl", "@", RowBox[{"GetUVB", "[", "]"}]}], ",", "\"\<mW/m\.b2/10\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current UV index", "*)"}],
   RowBox[{"Print", "[", RowBox[{"\"\<UV Index: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"uvl", "@", RowBox[{"GetUVI", "[", "]"}], "/", "10.0"}], "]"}], "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "uvl", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
